<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <data>

        <import type="com.lukouguoji.module_base.ui.weight.data.layout.DataLayoutType" />

        <variable
            name="viewModel"
            type="com.lukouguoji.aerologic.page.flight.query.details.FlightQueryDetailsViewModel" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/backgroud_gray"
        android:orientation="vertical">

        <include layout="@layout/title_tool_bar" />

        <androidx.core.widget.NestedScrollView
            android:layout_width="match_parent"
            android:layout_weight="1"
            android:layout_height="0dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:orientation="vertical"
                android:layout_height="match_parent">


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp">

                    <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayout
                        enable="@{false}"
                        title='@{"航班日期："}'
                        titleLength="@{5}"
                        type="@{DataLayoutType.INPUT}"
                        value='@{viewModel.dataBean.fdate}'
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1" />

                    <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayout
                        enable="@{false}"
                        hint='@{" "}'
                        title='@{"航班号："}'
                        titleLength="@{5}"
                        type="@{DataLayoutType.INPUT}"
                        value='@{viewModel.dataBean.fno}'
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1" />

                    <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayout
                        enable="@{false}"
                        hint='@{" "}'
                        title='@{"航程："}'
                        titleLength="@{5}"
                        type="@{DataLayoutType.INPUT}"
                        value='@{viewModel.dataBean.range}'
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp">

                    <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayout
                        enable="@{false}"
                        title='@{"地区类型："}'
                        titleLength="@{5}"
                        type="@{DataLayoutType.SPINNER}"
                        value='@{viewModel.dataBean.countryType}'
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1" />

                    <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayout
                        enable="@{false}"
                        title='@{"服务类型："}'
                        titleLength="@{5}"
                        type="@{DataLayoutType.SPINNER}"
                        value='@{viewModel.dataBean.serviceType}'
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1" />

                    <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayout
                        enable="@{false}"
                        title='@{"经停站："}'
                        titleLength="@{5}"
                        type="@{DataLayoutType.INPUT}"
                        value='@{viewModel.dataBean.jtz}'
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp">

                    <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayout
                        enable="@{false}"
                        hint='@{" "}'
                        title='@{"计划起飞："}'
                        titleLength="@{5}"
                        type="@{DataLayoutType.INPUT}"
                        value='@{viewModel.dataBean.scheduledTackOff}'
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1" />

                    <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayout
                        enable="@{false}"
                        hint='@{" "}'
                        title='@{"预计起飞："}'
                        titleLength="@{5}"
                        type="@{DataLayoutType.INPUT}"
                        value='@{viewModel.dataBean.estimatedTakeOff}'
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1" />

                    <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayout
                        enable="@{false}"
                        hint='@{" "}'
                        title='@{"实际起飞："}'
                        titleLength="@{5}"
                        type="@{DataLayoutType.INPUT}"
                        value='@{viewModel.dataBean.actualTakeOff}'
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp">

                    <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayout
                        enable="@{false}"
                        title='@{"计划降落："}'
                        titleLength="@{5}"
                        type="@{DataLayoutType.INPUT}"
                        value='@{viewModel.dataBean.scheduledArrival}'
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1" />

                    <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayout
                        enable="@{false}"
                        hint='@{" "}'
                        title='@{"预计降落："}'
                        titleLength="@{5}"
                        type="@{DataLayoutType.INPUT}"
                        value='@{viewModel.dataBean.estimatedArrival}'
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1" />

                    <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayout
                        enable="@{false}"
                        hint='@{" "}'
                        title='@{"实际降落："}'
                        titleLength="@{5}"
                        type="@{DataLayoutType.INPUT}"
                        value='@{viewModel.dataBean.actualArrival}'
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1" />

                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp">

                    <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayout
                        enable="@{false}"
                        title='@{"飞行状态："}'
                        titleLength="@{5}"
                        type="@{DataLayoutType.SPINNER}"
                        value='@{viewModel.dataBean.portCode}'
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1" />

                    <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayout
                        enable="@{false}"
                        hint='@{" "}'
                        title='@{"航班状态："}'
                        titleLength="@{5}"
                        type="@{DataLayoutType.SPINNER}"
                        value='@{viewModel.dataBean.flightStatus}'
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1" />

                    <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayout
                        enable="@{false}"
                        hint='@{" "}'
                        title='@{"延误原因："}'
                        titleLength="@{5}"
                        type="@{DataLayoutType.INPUT}"
                        value='@{viewModel.dataBean.delayFreeText}'
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1" />

                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp">

                    <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayout
                        enable="@{false}"
                        title='@{"机号："}'
                        titleLength="@{5}"
                        type="@{DataLayoutType.INPUT}"
                        value='@{viewModel.dataBean.registration}'
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1" />

                    <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayout
                        enable="@{false}"
                        hint='@{" "}'
                        title='@{"机型："}'
                        titleLength="@{5}"
                        type="@{DataLayoutType.INPUT}"
                        value='@{viewModel.dataBean.aircraftCode}'
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1" />

                    <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayout
                        enable="@{false}"
                        hint='@{" "}'
                        title='@{"机位："}'
                        titleLength="@{5}"
                        type="@{DataLayoutType.INPUT}"
                        value='@{viewModel.dataBean.standId}'
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1" />

                </LinearLayout>

            </LinearLayout>

        </androidx.core.widget.NestedScrollView>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:background="#5c6890"
            android:gravity="center_vertical|end"
            android:paddingHorizontal="15dp">

        </LinearLayout>

    </LinearLayout>
</layout>